<?php
$verb = mysql_connect("localhost", "", "") or die ("Keine Verbindung zu MySQL");

mysql_select_db("gebrauchtwagen", $verb) or die ("Keine Verbindung zur DB");

if ($hersteller == "alle")
  {
  $sql = "SELECT * FROM autos ORDER BY hersteller";
  }
elseif ($hersteller == "Sonstige")
  {
  $sql = "SELECT * FROM autos 
          WHERE (hersteller != 'Audi' AND hersteller != 'BMW' 
                 AND hersteller != 'Ford' AND hersteller != 'VW')
          ORDER BY hersteller";
  }
else
  {
  $sql = "SELECT * FROM autos WHERE hersteller='$hersteller' ORDER BY hersteller";
  };

$ergebnis = mysql_query($sql, $verb) or die ("Abfragefehler");

echo "<table align='center' width='750'><tr>";
echo "<td width='250'><b>Gebrauchte Fahrzeuge</b></td>";
echo "<td width='250' align='center'><A href='gebrauchtwagen1.html'>Zurück</A></TD>";
echo "<td width='250' align='right'><A href='gebrauchtwagen1.html'>Startseite</A></TD>";
echo "</tr></table><hr align='center' width='750'><h1 align='center'>Pkw</h1>";

echo "<table align='center' border='1' width='750'><tr>";
echo "<th>Nummer</th><th>Hersteller</th><th>Modell</th>";
echo "<th>Beschreibung</th><th>Verkaufspreis</th><th>Kontakt</th></tr>";

while ($zeile = mysql_fetch_object($ergebnis))
  {
  echo "<tr>";
  echo "<td valign='top'>$zeile->nummer</td>";
  echo "<td valign='top'>$zeile->hersteller</td>";
  echo "<td valign='top'>$zeile->modell</td>";
  echo "<td valign='top'>$zeile->beschreibung</td>";
  echo "<td valign='top' align='right'>".$zeile->verkaufspreis." €</td>";
  echo "<td valign='top'>$zeile->kontakt</td>";
  echo "</tr>";
  };
echo "</table>";
?>
